View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000716Ecere SDKinstallerpublic2012-03-28 18:322013-08-07 14:46
Reporterredj 
Assigned Tojerome 
PriorityimmediateSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformCross-PlatformOS\o/OS Version;-)
Product Version0.44 Ryoan-ji 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000716: 3DS Viewer in IDE / Default association
Description3DS Viewer in IDE / Default association
(Switch to OpenGL if opening 3DS)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000568)
jerome (administrator)
2012-03-29 07:41
edited on: 2012-03-29 16:39

I've already fixed the 3DS viewer in the IDE.
It's pretty nice now.
Only thing missing to close this is probably detect the IDE was launched to open a .3DS file and automatically switch to OpenGL driver (So that we can see the model).
(Note: when doing so, it shouldn't change the settings in the settings.ini file so that the next normal IDE doesn't go into OpenGL mode)

Also perhaps add detection whether the extension is already registered to another my program so we don't override it for 3DS...

(0000946)
jerome (administrator)
2013-08-07 14:46

Fixed by https://github.com/ecere/ecere-sdk/commit/3ce8119a012a255d57f4156bc0a9b1a796150d0f [^]

- Issue History
Date Modified Username Field Change
2012-03-28 18:32 redj New Issue
2012-03-29 07:41 jerome Note Added: 0000568
2012-03-29 07:55 redj Category => Installation System
2012-03-29 07:55 redj Project @8@ => Ecere SDK
2012-03-29 08:15 redj Summary installer: 3DS Viewer in IDE / Default association => 3DS Viewer in IDE / Default association
2012-03-29 16:39 jerome Note Edited: 0000568
2013-04-24 14:01 redj Description Updated
2013-08-07 12:50 jerome Assigned To => jerome
2013-08-07 12:50 jerome Status new => assigned
2013-08-07 12:50 jerome Target Version 0.44.10 64 => 0.44.08
2013-08-07 14:46 jerome Status assigned => closed
2013-08-07 14:46 jerome Note Added: 0000946
2013-08-07 14:46 jerome Resolution open => fixed
2013-08-07 14:46 jerome Fixed in Version => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker